Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040173
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-02-07 20:282019-02-18 08:54
ReporterlbressanView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityimmediateResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision2554e0624310
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - QA Approved
Regression date2018-09-20
Regression introduced in releaseRR18Q4
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/41997a1342f0#l3.7 [^]
Triggers an Emergency PackNo
Summary

0040173: Total button stays disabled when creating canceling PreOrderSave hook for quotations.

DescriptionThis only happen for quotations:
When there is a hook implemented for OBPOS_PreOrderSave, and this hook cancels the operation for some reason (via the cancellation property in arguments), the ticket total button stays disabled.
This also was working properly until release 18Q2.4.

It seems that the change to Process Controller is causing the issue, and the button is not receiving an event to be enabled properly.
This in 18Q2.4 was handled by the synchronizing and synchronized events in the OB.OBPOSPointOfSale.UI.ButtonTabPayment kind.
Steps To Reproduce1. Log in to POS
2. Create a quotation via the menu
3. Add any product.
4. Open developer console
5. In console, create a hook that cancels the operation:
OB.UTIL.HookManager.registerHook('OBPOS_PreOrderSave', function(a,b){
  OB.UTIL.showError("error");
  a.cancellation = true;
  OB.UTIL.HookManager.callbackExecutor(a,b);
})
6. Click the total button.
7. The total button is now greyed out and can only be restored by switching to another ticket.
TagsNo tags attached.
Attached Filespng file icon Screen Shot 2019-02-07 at 16.25.19.png [^] (356,555 bytes) 2019-02-07 20:28

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0040216RR19Q1 closedranjith_qualiantech_com Total button stays disabled when creating canceling PreOrderSave hook for quotations. 
depends on backport 0040217RR18Q4.2 closedranjith_qualiantech_com Total button stays disabled when creating canceling PreOrderSave hook for quotations. 
depends on backport 0040218RR18Q3.5 closedranjith_qualiantech_com Total button stays disabled when creating canceling PreOrderSave hook for quotations. 

-  Notes
(0109659)
hgbot (developer)
2019-02-11 06:40

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2554e0624310dc62913b3d45908a4b7e1181a1a5
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Feb 11 11:09:54 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2554e0624310dc62913b3d45908a4b7e1181a1a5 [^]

Fixed issue 40173 : Implemented ProcessController when closing quotations

* Refactored Quotation close callback
  1) If receipt callback is cancelled, then quotation should not be printed

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
---
(0109861)
ranjith_qualiantech_com (developer)
2019-02-15 11:49

Reopening to create backports

- Issue History
Date Modified Username Field Change
2019-02-07 20:28 lbressan New Issue
2019-02-07 20:28 lbressan Assigned To => Retail
2019-02-07 20:28 lbressan File Added: Screen Shot 2019-02-07 at 16.25.19.png
2019-02-07 20:28 lbressan Triggers an Emergency Pack => No
2019-02-07 21:11 Practics Issue Monitored: Practics
2019-02-08 11:57 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-02-08 11:57 ranjith_qualiantech_com Status new => scheduled
2019-02-11 06:40 hgbot Checkin
2019-02-11 06:40 hgbot Note Added: 0109659
2019-02-11 06:40 hgbot Status scheduled => resolved
2019-02-11 06:40 hgbot Resolution open => fixed
2019-02-11 06:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2554e0624310dc62913b3d45908a4b7e1181a1a5 [^]
2019-02-15 11:49 ranjith_qualiantech_com Note Added: 0109861
2019-02-15 11:49 ranjith_qualiantech_com Status resolved => new
2019-02-15 11:49 ranjith_qualiantech_com Resolution fixed => open
2019-02-15 11:50 ranjith_qualiantech_com Regression level => Production - QA Approved
2019-02-15 11:50 ranjith_qualiantech_com Regression date => 2018-09-20
2019-02-15 11:50 ranjith_qualiantech_com Regression introduced in release => RR18Q4
2019-02-15 11:50 ranjith_qualiantech_com Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/41997a1342f0#l3.7 [^]
2019-02-15 11:50 ranjith_qualiantech_com Status new => scheduled
2019-02-15 11:51 ranjith_qualiantech_com Status scheduled => resolved
2019-02-15 11:51 ranjith_qualiantech_com Resolution open => fixed
2019-02-18 08:54 marvintm Review Assigned To => marvintm
2019-02-18 08:54 marvintm Status resolved => closed
2019-02-18 08:54 marvintm Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker